cascading.flow.hadoop.planner.rule.scopeexpression

## Class EquivalentTapsScopeExpression

- java.lang.Object
- - cascading.flow.planner.iso.expression.ScopeExpression
  - - cascading.flow.hadoop.planner.rule.scopeexpression.EquivalentTapsScopeExpression

- All Implemented Interfaces:
    Expression<Scope>

      public class EquivalentTapsScopeExpression
      extends ScopeExpression

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.flow.planner.iso.expression.ScopeExpression

      `ScopeExpression.Applies`

  - ### Field Summary

    - ### Fields inherited from class cascading.flow.planner.iso.expression.ScopeExpression

      `ALL, ANY, applies, capture, EACH, NO_CAPTURE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EquivalentTapsScopeExpression()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `applies(PlannerContext plannerContext, ElementGraph elementGraph, Scope scope)`

    - ### Methods inherited from class cascading.flow.planner.iso.expression.ScopeExpression

      `acceptsAll, appliesToAllPaths, appliesToAnyPath, appliesToEachPath, getApplies, isCapture, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EquivalentTapsScopeExpression

          public EquivalentTapsScopeExpression()

  - ### Method Detail

    - #### applies

          public boolean applies(PlannerContext plannerContext,
                        ElementGraph elementGraph,
                        Scope scope)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.